IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:3300::/72- First address
2001:db8:0:0:3300::- Last address
2001:db8::33ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:3300:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
3.3.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:3300::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:3300::/80 | 2001:db8::3300:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:3301::/80 | 2001:db8::3301:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:3302::/80 | 2001:db8::3302:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:3303::/80 | 2001:db8::3303:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:3304::/80 | 2001:db8::3304:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:3305::/80 | 2001:db8::3305:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:3306::/80 | 2001:db8::3306:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:3307::/80 | 2001:db8::3307:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:3308::/80 | 2001:db8::3308:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:3309::/80 | 2001:db8::3309:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:330a::/80 | 2001:db8::330a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:330b::/80 | 2001:db8::330b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:330c::/80 | 2001:db8::330c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:330d::/80 | 2001:db8::330d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:330e::/80 | 2001:db8::330e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:330f::/80 | 2001:db8::330f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:3310::/80 | 2001:db8::3310:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:3311::/80 | 2001:db8::3311:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:3312::/80 | 2001:db8::3312:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:3313::/80 | 2001:db8::3313:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:3314::/80 | 2001:db8::3314:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:3315::/80 | 2001:db8::3315:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:3316::/80 | 2001:db8::3316:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:3317::/80 | 2001:db8::3317:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:3318::/80 | 2001:db8::3318:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:3319::/80 | 2001:db8::3319:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:331a::/80 | 2001:db8::331a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:331b::/80 | 2001:db8::331b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:331c::/80 | 2001:db8::331c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:331d::/80 | 2001:db8::331d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:331e::/80 | 2001:db8::331e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:331f::/80 | 2001:db8::331f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:3320::/80 | 2001:db8::3320:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:3321::/80 | 2001:db8::3321:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:3322::/80 | 2001:db8::3322:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:3323::/80 | 2001:db8::3323:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:3324::/80 | 2001:db8::3324:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:3325::/80 | 2001:db8::3325:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:3326::/80 | 2001:db8::3326:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:3327::/80 | 2001:db8::3327:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:3328::/80 | 2001:db8::3328:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:3329::/80 | 2001:db8::3329:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:332a::/80 | 2001:db8::332a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:332b::/80 | 2001:db8::332b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:332c::/80 | 2001:db8::332c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:332d::/80 | 2001:db8::332d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:332e::/80 | 2001:db8::332e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:332f::/80 | 2001:db8::332f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:3330::/80 | 2001:db8::3330:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:3331::/80 | 2001:db8::3331:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:3332::/80 | 2001:db8::3332:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:3333::/80 | 2001:db8::3333:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:3334::/80 | 2001:db8::3334:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:3335::/80 | 2001:db8::3335:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:3336::/80 | 2001:db8::3336:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:3337::/80 | 2001:db8::3337:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:3338::/80 | 2001:db8::3338:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:3339::/80 | 2001:db8::3339:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:333a::/80 | 2001:db8::333a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:333b::/80 | 2001:db8::333b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:333c::/80 | 2001:db8::333c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:333d::/80 | 2001:db8::333d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:333e::/80 | 2001:db8::333e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:333f::/80 | 2001:db8::333f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:3340::/80 | 2001:db8::3340:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:3341::/80 | 2001:db8::3341:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:3342::/80 | 2001:db8::3342:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:3343::/80 | 2001:db8::3343:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:3344::/80 | 2001:db8::3344:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:3345::/80 | 2001:db8::3345:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:3346::/80 | 2001:db8::3346:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:3347::/80 | 2001:db8::3347:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:3348::/80 | 2001:db8::3348:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:3349::/80 | 2001:db8::3349:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:334a::/80 | 2001:db8::334a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:334b::/80 | 2001:db8::334b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:334c::/80 | 2001:db8::334c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:334d::/80 | 2001:db8::334d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:334e::/80 | 2001:db8::334e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:334f::/80 | 2001:db8::334f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:3350::/80 | 2001:db8::3350:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:3351::/80 | 2001:db8::3351:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:3352::/80 | 2001:db8::3352:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:3353::/80 | 2001:db8::3353:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:3354::/80 | 2001:db8::3354:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:3355::/80 | 2001:db8::3355:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:3356::/80 | 2001:db8::3356:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:3357::/80 | 2001:db8::3357:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:3358::/80 | 2001:db8::3358:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:3359::/80 | 2001:db8::3359:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:335a::/80 | 2001:db8::335a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:335b::/80 | 2001:db8::335b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:335c::/80 | 2001:db8::335c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:335d::/80 | 2001:db8::335d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:335e::/80 | 2001:db8::335e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:335f::/80 | 2001:db8::335f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:3360::/80 | 2001:db8::3360:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:3361::/80 | 2001:db8::3361:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:3362::/80 | 2001:db8::3362:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:3363::/80 | 2001:db8::3363:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:3364::/80 | 2001:db8::3364:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:3365::/80 | 2001:db8::3365:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:3366::/80 | 2001:db8::3366:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:3367::/80 | 2001:db8::3367:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:3368::/80 | 2001:db8::3368:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:3369::/80 | 2001:db8::3369:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:336a::/80 | 2001:db8::336a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:336b::/80 | 2001:db8::336b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:336c::/80 | 2001:db8::336c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:336d::/80 | 2001:db8::336d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:336e::/80 | 2001:db8::336e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:336f::/80 | 2001:db8::336f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:3370::/80 | 2001:db8::3370:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:3371::/80 | 2001:db8::3371:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:3372::/80 | 2001:db8::3372:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:3373::/80 | 2001:db8::3373:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:3374::/80 | 2001:db8::3374:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:3375::/80 | 2001:db8::3375:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:3376::/80 | 2001:db8::3376:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:3377::/80 | 2001:db8::3377:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:3378::/80 | 2001:db8::3378:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:3379::/80 | 2001:db8::3379:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:337a::/80 | 2001:db8::337a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:337b::/80 | 2001:db8::337b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:337c::/80 | 2001:db8::337c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:337d::/80 | 2001:db8::337d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:337e::/80 | 2001:db8::337e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:337f::/80 | 2001:db8::337f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:3380::/80 | 2001:db8::3380:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:3381::/80 | 2001:db8::3381:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:3382::/80 | 2001:db8::3382:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:3383::/80 | 2001:db8::3383:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:3384::/80 | 2001:db8::3384:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:3385::/80 | 2001:db8::3385:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:3386::/80 | 2001:db8::3386:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:3387::/80 | 2001:db8::3387:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:3388::/80 | 2001:db8::3388:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:3389::/80 | 2001:db8::3389:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:338a::/80 | 2001:db8::338a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:338b::/80 | 2001:db8::338b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:338c::/80 | 2001:db8::338c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:338d::/80 | 2001:db8::338d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:338e::/80 | 2001:db8::338e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:338f::/80 | 2001:db8::338f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:3390::/80 | 2001:db8::3390:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:3391::/80 | 2001:db8::3391:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:3392::/80 | 2001:db8::3392:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:3393::/80 | 2001:db8::3393:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:3394::/80 | 2001:db8::3394:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:3395::/80 | 2001:db8::3395:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:3396::/80 | 2001:db8::3396:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:3397::/80 | 2001:db8::3397:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:3398::/80 | 2001:db8::3398:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:3399::/80 | 2001:db8::3399:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:339a::/80 | 2001:db8::339a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:339b::/80 | 2001:db8::339b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:339c::/80 | 2001:db8::339c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:339d::/80 | 2001:db8::339d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:339e::/80 | 2001:db8::339e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:339f::/80 | 2001:db8::339f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:33a0::/80 | 2001:db8::33a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:33a1::/80 | 2001:db8::33a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:33a2::/80 | 2001:db8::33a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:33a3::/80 | 2001:db8::33a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:33a4::/80 | 2001:db8::33a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:33a5::/80 | 2001:db8::33a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:33a6::/80 | 2001:db8::33a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:33a7::/80 | 2001:db8::33a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:33a8::/80 | 2001:db8::33a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:33a9::/80 | 2001:db8::33a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:33aa::/80 | 2001:db8::33aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:33ab::/80 | 2001:db8::33ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:33ac::/80 | 2001:db8::33ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:33ad::/80 | 2001:db8::33ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:33ae::/80 | 2001:db8::33ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:33af::/80 | 2001:db8::33af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:33b0::/80 | 2001:db8::33b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:33b1::/80 | 2001:db8::33b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:33b2::/80 | 2001:db8::33b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:33b3::/80 | 2001:db8::33b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:33b4::/80 | 2001:db8::33b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:33b5::/80 | 2001:db8::33b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:33b6::/80 | 2001:db8::33b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:33b7::/80 | 2001:db8::33b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:33b8::/80 | 2001:db8::33b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:33b9::/80 | 2001:db8::33b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:33ba::/80 | 2001:db8::33ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:33bb::/80 | 2001:db8::33bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:33bc::/80 | 2001:db8::33bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:33bd::/80 | 2001:db8::33bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:33be::/80 | 2001:db8::33be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:33bf::/80 | 2001:db8::33bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:33c0::/80 | 2001:db8::33c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:33c1::/80 | 2001:db8::33c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:33c2::/80 | 2001:db8::33c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:33c3::/80 | 2001:db8::33c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:33c4::/80 | 2001:db8::33c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:33c5::/80 | 2001:db8::33c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:33c6::/80 | 2001:db8::33c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:33c7::/80 | 2001:db8::33c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:33c8::/80 | 2001:db8::33c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:33c9::/80 | 2001:db8::33c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:33ca::/80 | 2001:db8::33ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:33cb::/80 | 2001:db8::33cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:33cc::/80 | 2001:db8::33cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:33cd::/80 | 2001:db8::33cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:33ce::/80 | 2001:db8::33ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:33cf::/80 | 2001:db8::33cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:33d0::/80 | 2001:db8::33d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:33d1::/80 | 2001:db8::33d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:33d2::/80 | 2001:db8::33d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:33d3::/80 | 2001:db8::33d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:33d4::/80 | 2001:db8::33d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:33d5::/80 | 2001:db8::33d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:33d6::/80 | 2001:db8::33d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:33d7::/80 | 2001:db8::33d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:33d8::/80 | 2001:db8::33d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:33d9::/80 | 2001:db8::33d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:33da::/80 | 2001:db8::33da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:33db::/80 | 2001:db8::33db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:33dc::/80 | 2001:db8::33dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:33dd::/80 | 2001:db8::33dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:33de::/80 | 2001:db8::33de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:33df::/80 | 2001:db8::33df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:33e0::/80 | 2001:db8::33e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:33e1::/80 | 2001:db8::33e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:33e2::/80 | 2001:db8::33e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:33e3::/80 | 2001:db8::33e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:33e4::/80 | 2001:db8::33e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:33e5::/80 | 2001:db8::33e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:33e6::/80 | 2001:db8::33e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:33e7::/80 | 2001:db8::33e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:33e8::/80 | 2001:db8::33e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:33e9::/80 | 2001:db8::33e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:33ea::/80 | 2001:db8::33ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:33eb::/80 | 2001:db8::33eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:33ec::/80 | 2001:db8::33ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:33ed::/80 | 2001:db8::33ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:33ee::/80 | 2001:db8::33ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:33ef::/80 | 2001:db8::33ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:33f0::/80 | 2001:db8::33f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:33f1::/80 | 2001:db8::33f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:33f2::/80 | 2001:db8::33f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:33f3::/80 | 2001:db8::33f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:33f4::/80 | 2001:db8::33f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:33f5::/80 | 2001:db8::33f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:33f6::/80 | 2001:db8::33f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:33f7::/80 | 2001:db8::33f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:33f8::/80 | 2001:db8::33f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:33f9::/80 | 2001:db8::33f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:33fa::/80 | 2001:db8::33fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:33fb::/80 | 2001:db8::33fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:33fc::/80 | 2001:db8::33fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:33fd::/80 | 2001:db8::33fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:33fe::/80 | 2001:db8::33fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:33ff::/80 | 2001:db8::33ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |